Index: src/Actions/Makefile.am
===================================================================
--- src/Actions/Makefile.am	(revision 3e2225f811016c9e0bb983b9e653cc67856805b1)
+++ src/Actions/Makefile.am	(revision bf4b9ff97113f58a6031de8f9e67813336ae63f1)
@@ -2,5 +2,5 @@
 # Also indentation by a single tab
 
-INCLUDES = -I$(top_srcdir)/src
+INCLUDES = -I$(top_srcdir)/src -I$(top_srcdir)/LinearAlgebra/src
 
 AM_LDFLAGS = -ldl
Index: src/Actions/unittests/Makefile.am
===================================================================
--- src/Actions/unittests/Makefile.am	(revision 3e2225f811016c9e0bb983b9e653cc67856805b1)
+++ src/Actions/unittests/Makefile.am	(revision bf4b9ff97113f58a6031de8f9e67813336ae63f1)
@@ -2,5 +2,5 @@
 # Also indentation by a single tab
 
-INCLUDES = -I$(top_srcdir)/src
+INCLUDES = -I$(top_srcdir)/src -I$(top_srcdir)/LinearAlgebra/src
 
 AM_LDFLAGS = ${CodePatterns_LIBS} $(CPPUNIT_LIBS) -ldl
@@ -19,5 +19,5 @@
 GSLLIBS = \
 	../../Shapes/libMolecuilderShapes.la \
-	../../LinearAlgebra/libMolecuilderLinearAlgebra.la \
+	$(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
 	../../RandomNumbers/libMolecuilderRandomNumbers.la \
 	${CodePatterns_LIBS} \
Index: src/Descriptors/unittests/Makefile.am
===================================================================
--- src/Descriptors/unittests/Makefile.am	(revision 3e2225f811016c9e0bb983b9e653cc67856805b1)
+++ src/Descriptors/unittests/Makefile.am	(revision bf4b9ff97113f58a6031de8f9e67813336ae63f1)
@@ -2,5 +2,5 @@
 # Also indentation by a single tab
 
-INCLUDES = -I$(top_srcdir)/src
+INCLUDES = -I$(top_srcdir)/src -I$(top_srcdir)/LinearAlgebra/src
 
 AM_LDFLAGS = ${CodePatterns_LIBS} $(CPPUNIT_LIBS) -ldl 
@@ -17,5 +17,5 @@
 GSLLIBS = \
 	../../Shapes/libMolecuilderShapes.la \
-	../../LinearAlgebra/libMolecuilderLinearAlgebra.la \
+	$(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
 	../../RandomNumbers/libMolecuilderRandomNumbers.la \
 	${CodePatterns_LIBS} \
Index: src/Graph/Makefile.am
===================================================================
--- src/Graph/Makefile.am	(revision 3e2225f811016c9e0bb983b9e653cc67856805b1)
+++ src/Graph/Makefile.am	(revision bf4b9ff97113f58a6031de8f9e67813336ae63f1)
@@ -2,5 +2,5 @@
 # Also indentation by a single tab
 
-INCLUDES = -I$(top_srcdir)/src
+INCLUDES = -I$(top_srcdir)/src -I$(top_srcdir)/LinearAlgebra/src
 
 AM_LDFLAGS = ${CodePatterns_LIBS} -ldl
Index: src/Makefile.am
===================================================================
--- src/Makefile.am	(revision 3e2225f811016c9e0bb983b9e653cc67856805b1)
+++ src/Makefile.am	(revision bf4b9ff97113f58a6031de8f9e67813336ae63f1)
@@ -5,5 +5,4 @@
 	RandomNumbers \
 	Parser \
-	LinearAlgebra \
 	Shapes \
 	Graph \
@@ -259,6 +258,6 @@
 libMolecuilder_la_includedir = $(includedir)/MoleCuilder/
 libMolecuilder_la_LIBADD = \
-	LinearAlgebra/libMolecuilderLinearAlgebra.la \
 	Graph/libMolecuilderGraph.la \
+	$(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
 	${CodePatterns_LIBS} \
 	${BOOST_PROGRAM_OPTIONS_LIB}
@@ -304,5 +303,5 @@
 
 BOOST_LIB = $(BOOST_LDFLAGS) $(BOOST_MPL_LIB) $(BOOST_PROGRAM_OPTIONS_LIB) $(BOOST_FILESYSTEM_LIB) $(BOOST_SYSTEM_LIB) $(BOOST_THREAD_LIB)
-INCLUDES = -I$(top_srcdir)/src/unittests -I$(top_srcdir)/src/Actions -I$(top_srcdir)/src/UIElements
+INCLUDES = -I$(top_srcdir)/LinearAlgebra/src -I$(top_srcdir)/src/unittests -I$(top_srcdir)/src/Actions -I$(top_srcdir)/src/UIElements
 
 noinst_LIBRARIES = libmenu.a
@@ -327,5 +326,5 @@
 	Parser/libMolecuilderParser.la \
 	Shapes/libMolecuilderShapes.la \
-	LinearAlgebra/libMolecuilderLinearAlgebra.la \
+	$(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
 	RandomNumbers/libMolecuilderRandomNumbers.la \
 	${CodePatterns_LIBS} \
@@ -348,5 +347,5 @@
 	Parser/libMolecuilderParser.la \
 	Shapes/libMolecuilderShapes.la \
-	LinearAlgebra/libMolecuilderLinearAlgebra.la \
+	$(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
 	RandomNumbers/libMolecuilderRandomNumbers.la \
 	${CodePatterns_LIBS} \
@@ -362,5 +361,5 @@
 	Parser/libMolecuilderParser.la \
 	Shapes/libMolecuilderShapes.la \
-	LinearAlgebra/libMolecuilderLinearAlgebra.la \
+	$(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
 	RandomNumbers/libMolecuilderRandomNumbers.la \
 	${CodePatterns_LIBS} \
@@ -375,5 +374,5 @@
 	Parser/libMolecuilderParser.la \
 	Shapes/libMolecuilderShapes.la \
-	LinearAlgebra/libMolecuilderLinearAlgebra.la \
+	$(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
 	RandomNumbers/libMolecuilderRandomNumbers.la \
 	${CodePatterns_LIBS} \
Index: src/Parser/Makefile.am
===================================================================
--- src/Parser/Makefile.am	(revision 3e2225f811016c9e0bb983b9e653cc67856805b1)
+++ src/Parser/Makefile.am	(revision bf4b9ff97113f58a6031de8f9e67813336ae63f1)
@@ -2,5 +2,5 @@
 # Also indentation by a single tab
 
-INCLUDES = -I$(top_srcdir)/src
+INCLUDES = -I$(top_srcdir)/src -I$(top_srcdir)/LinearAlgebra/src
 
 AM_LDFLAGS = ${CodePatterns_LIBS} -ldl
Index: src/Parser/unittests/Makefile.am
===================================================================
--- src/Parser/unittests/Makefile.am	(revision 3e2225f811016c9e0bb983b9e653cc67856805b1)
+++ src/Parser/unittests/Makefile.am	(revision bf4b9ff97113f58a6031de8f9e67813336ae63f1)
@@ -2,5 +2,5 @@
 # Also indentation by a single tab
 
-INCLUDES = -I$(top_srcdir)/src
+INCLUDES = -I$(top_srcdir)/src -I$(top_srcdir)/LinearAlgebra/src
 
 AM_LDFLAGS = ${CodePatterns_LIBS} $(CPPUNIT_LIBS) -ldl
@@ -21,5 +21,5 @@
 GSLLIBS = \
 	../../Shapes/libMolecuilderShapes.la \
-	../../LinearAlgebra/libMolecuilderLinearAlgebra.la \
+	$(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
 	../../RandomNumbers/libMolecuilderRandomNumbers.la \
 	${CodePatterns_LIBS} \
Index: src/Shapes/Makefile.am
===================================================================
--- src/Shapes/Makefile.am	(revision 3e2225f811016c9e0bb983b9e653cc67856805b1)
+++ src/Shapes/Makefile.am	(revision bf4b9ff97113f58a6031de8f9e67813336ae63f1)
@@ -2,5 +2,5 @@
 # Also indentation by a single tab
 
-INCLUDES = -I$(top_srcdir)/src
+INCLUDES = -I$(top_srcdir)/src -I$(top_srcdir)/LinearAlgebra/src
 
 # Position-Independent Code necessary for shared library
@@ -22,5 +22,5 @@
 libMolecuilderShapes_la_includedir = $(includedir)/MoleCuilder/Shapes/
 libMolecuilderShapes_la_LIBADD = \
-  ../LinearAlgebra/libMolecuilderLinearAlgebra.la \
+  $(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
 	$(GSL_LIBS)
 nobase_libMolecuilderShapes_la_include_HEADERS = ${SHAPEHEADER}
Index: src/Shapes/unittests/Makefile.am
===================================================================
--- src/Shapes/unittests/Makefile.am	(revision 3e2225f811016c9e0bb983b9e653cc67856805b1)
+++ src/Shapes/unittests/Makefile.am	(revision bf4b9ff97113f58a6031de8f9e67813336ae63f1)
@@ -2,5 +2,5 @@
 # Also indentation by a single tab
 
-INCLUDES = -I$(top_srcdir)/src
+INCLUDES = -I$(top_srcdir)/src -I$(top_srcdir)/LinearAlgebra/src
 
 AM_LDFLAGS = ${CodePatterns_LIBS} $(CPPUNIT_LIBS) -ldl
@@ -17,5 +17,5 @@
 SHAPELIBS = \
 	../../Shapes/libMolecuilderShapes.la \
-	../../LinearAlgebra/libMolecuilderLinearAlgebra.la \
+	$(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
 	${CodePatterns_LIBS} \
 	$(BOOST_LIB)
Index: src/UIElements/CommandLineUI/unittests/Makefile.am
===================================================================
--- src/UIElements/CommandLineUI/unittests/Makefile.am	(revision 3e2225f811016c9e0bb983b9e653cc67856805b1)
+++ src/UIElements/CommandLineUI/unittests/Makefile.am	(revision bf4b9ff97113f58a6031de8f9e67813336ae63f1)
@@ -2,5 +2,5 @@
 # Also indentation by a single tab
 
-INCLUDES = -I$(top_srcdir)/src -I$(top_srcdir)/src/UIElements
+INCLUDES = -I$(top_srcdir)/src -I$(top_srcdir)/LinearAlgebra/src -I$(top_srcdir)/src/UIElements
 
 AM_LDFLAGS = ${CodePatterns_LIBS} $(CPPUNIT_LIBS) -ldl
@@ -26,5 +26,5 @@
 	../../../Parser/libMolecuilderParser.la \
 	../../../Shapes/libMolecuilderShapes.la \
-	../../../LinearAlgebra/libMolecuilderLinearAlgebra.la \
+	$(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
 	../../../RandomNumbers/libMolecuilderRandomNumbers.la \
 	${CodePatterns_LIBS} \
Index: src/UIElements/Makefile.am
===================================================================
--- src/UIElements/Makefile.am	(revision 3e2225f811016c9e0bb983b9e653cc67856805b1)
+++ src/UIElements/Makefile.am	(revision bf4b9ff97113f58a6031de8f9e67813336ae63f1)
@@ -1,5 +1,5 @@
 # Below is all for the User Interface
 
-INCLUDES = -I$(top_srcdir)/src -I$(top_srcdir)/src/UIElements
+INCLUDES = -I$(top_srcdir)/src -I$(top_srcdir)/LinearAlgebra/src -I$(top_srcdir)/src/UIElements
 
 AM_LDFLAGS = ${CodePatterns_LIBS} -ldl
Index: src/UIElements/Menu/unittests/Makefile.am
===================================================================
--- src/UIElements/Menu/unittests/Makefile.am	(revision 3e2225f811016c9e0bb983b9e653cc67856805b1)
+++ src/UIElements/Menu/unittests/Makefile.am	(revision bf4b9ff97113f58a6031de8f9e67813336ae63f1)
@@ -2,5 +2,5 @@
 # Also indentation by a single tab
 
-INCLUDES = -I$(top_srcdir)/src -I$(top_srcdir)/src/UIElements
+INCLUDES = -I$(top_srcdir)/src -I$(top_srcdir)/LinearAlgebra/src -I$(top_srcdir)/src/UIElements
 
 AM_LDFLAGS = ${CodePatterns_LIBS} $(CPPUNIT_LIBS) -ldl
@@ -37,5 +37,5 @@
 	../../../Parser/libMolecuilderParser.la \
 	../../../Shapes/libMolecuilderShapes.la \
-	../../../LinearAlgebra/libMolecuilderLinearAlgebra.la \
+	$(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
 	../../../RandomNumbers/libMolecuilderRandomNumbers.la \
 	${CodePatterns_LIBS} \
Index: src/unittests/Makefile.am
===================================================================
--- src/unittests/Makefile.am	(revision 3e2225f811016c9e0bb983b9e653cc67856805b1)
+++ src/unittests/Makefile.am	(revision bf4b9ff97113f58a6031de8f9e67813336ae63f1)
@@ -5,5 +5,4 @@
 	../Actions/unittests \
 	../Descriptors/unittests \
-	../LinearAlgebra/unittests \
 	../Parser/unittests \
 	../RandomNumbers/unittests \
@@ -12,5 +11,5 @@
 	../UIElements/Menu/unittests
 
-INCLUDES = -I$(top_srcdir)/src
+INCLUDES = -I$(top_srcdir)/src -I$(top_srcdir)/LinearAlgebra/src
 
 AM_LDFLAGS = ${CodePatterns_LIBS} $(CPPUNIT_LIBS) -ldl
@@ -41,5 +40,5 @@
 GSLLIBS = \
 	../Shapes/libMolecuilderShapes.la \
-	../LinearAlgebra/libMolecuilderLinearAlgebra.la \
+	$(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
 	../RandomNumbers/libMolecuilderRandomNumbers.la \
 	$(BOOST_LIB)
@@ -67,12 +66,7 @@
   CountBondsUnitTest.cpp \
   FormulaUnitTest.cpp \
-  ../LinearAlgebra/unittests/LinearSystemOfEquationsUnitTest.cpp \
-  ../LinearAlgebra/unittests/LineUnitTest.cpp \
   LinkedCellUnitTest.cpp \
   ListOfBondsUnitTest.cpp \
   ../Actions/unittests/ManipulateAtomsUnitTest.cpp \
-  ../LinearAlgebra/unittests/MatrixContentSymmetricUnitTest.cpp \
-  ../LinearAlgebra/unittests/MatrixContentUnitTest.cpp \
-  ../LinearAlgebra/unittests/MatrixUnitTest.cpp \
   ../UIElements/CommandLineUI/unittests/CommandLineParser_ActionRegistry_ConsistenyUnitTest.cpp \
   ../UIElements/Menu/unittests/MenuDescriptionUnitTest.cpp \
@@ -84,11 +78,8 @@
   ../Parser/unittests/ParserXyzUnitTest.cpp \
   PeriodentafelUnitTest.cpp \
-  ../LinearAlgebra/unittests/PlaneUnitTest.cpp \
   ../Shapes/unittests/ShapeUnitTest.cpp \
   TesselationUnitTest.cpp \
   Tesselation_BoundaryTriangleUnitTest.cpp \
   Tesselation_InsideOutsideUnitTest.cpp \
-  ../LinearAlgebra/unittests/VectorContentUnitTest.cpp \
-  ../LinearAlgebra/unittests/VectorUnitTest.cpp \
   WorldTimeUnitTest.cpp
 
@@ -106,12 +97,7 @@
   CountBondsUnitTest.hpp \
   FormulaUnitTest.hpp \
-  ../LinearAlgebra/unittests/LinearSystemOfEquationsUnitTest.hpp \
-  ../LinearAlgebra/unittests/LineUnitTest.hpp \
   LinkedCellUnitTest.hpp \
   ListOfBondsUnitTest.hpp \
   ../Actions/unittests/ManipulateAtomsUnitTest.hpp \
-  ../LinearAlgebra/unittests/MatrixContentSymmetricUnitTest.hpp \
-  ../LinearAlgebra/unittests/MatrixContentUnitTest.hpp \
-  ../LinearAlgebra/unittests/MatrixUnitTest.hpp \
   ../UIElements/CommandLineUI/unittests/CommandLineParser_ActionRegistry_ConsistenyUnitTest.hpp \
   ../UIElements/Menu/unittests/MenuDescriptionUnitTest.hpp \
@@ -123,12 +109,9 @@
   ../Parser/unittests/ParserXyzUnitTest.hpp \
   PeriodentafelUnitTest.hpp \
-  ../LinearAlgebra/unittests/PlaneUnitTest.hpp \
   ../Shapes/unittests/ShapeUnitTest.hpp \
   TesselationUnitTest.hpp \
   Tesselation_BoundaryTriangleUnitTest.hpp \
   Tesselation_InsideOutsideUnitTest.hpp \
-  ../LinearAlgebra/unittests/VectorContentUnitTest.hpp \
-  ../LinearAlgebra/unittests/VectorUnitTest.hpp \
-	WorldTimeUnitTest.hpp
+  WorldTimeUnitTest.hpp
   
 
